# Peronaggio
execute if entity @e[tag=dh.t_reMicros,type=armor_stand,nbt=!{CustomNameVisible:1b}] run data merge entity @e[tag=dh.t_reMicros,type=armor_stand,limit=1] {CustomNameVisible:1b}

# Apertura Passaggio 
execute if block 637 65 -29 minecraft:stone_button[powered=true] if entity @e[tag=dh.t_serratura,type=item_frame,nbt={ItemRotation:5b}] unless entity @e[tag=dh.t_aperturaPassaggio,type=area_effect_cloud] run summon minecraft:area_effect_cloud 638 65 -35 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_aperturaPassaggio"]}
execute if block 639 65 -32 minecraft:spruce_button[powered=true] unless entity @e[tag=dh.t_aperturaPassaggio,type=area_effect_cloud] run summon minecraft:area_effect_cloud 638 65 -35 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_aperturaPassaggio"]}

execute if entity @e[tag=dh.t_aperturaPassaggio,type=area_effect_cloud,nbt={Age:0}] run setblock 638 65 -35 minecraft:air
execute if entity @e[tag=dh.t_aperturaPassaggio,type=area_effect_cloud,nbt={Age:30}] run data merge entity @e[tag=dh.t_serratura,type=item_frame,limit=1] {ItemRotation:4b}
execute if entity @e[tag=dh.t_aperturaPassaggio,type=area_effect_cloud,nbt={Age:40}] run setblock 638 65 -35 minecraft:redstone_torch

# Poster Puzzle
execute as @a[tag=dh.t_giocatori] unless score #Poster1 dh.o_incudine matches 1 if score @s dh.o_incudine matches 1 at @s run playsound minecraft:ui.loom.take_result ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 1.3
execute as @a[tag=dh.t_giocatori] unless score #Poster1 dh.o_incudine matches 1 if score @s dh.o_incudine matches 1 run give @s filled_map{HideFlags:32,map:183,display:{Name:'{"text":"Pezzo Puzzle #1","color":"yellow","italic":false}'}}
execute as @a[tag=dh.t_giocatori] unless score #Poster1 dh.o_incudine matches 1 if score @s dh.o_incudine matches 1 run scoreboard players set #Poster1 dh.o_incudine 1

# Itemframe
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione0,type=item_frame,nbt=!{ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione1,type=item_frame,nbt=!{ItemRotation:1b}] run data merge entity @s {ItemRotation:1b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione2,type=item_frame,nbt=!{ItemRotation:2b}] run data merge entity @s {ItemRotation:2b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione3,type=item_frame,nbt=!{ItemRotation:3b}] run data merge entity @s {ItemRotation:3b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione4,type=item_frame,nbt=!{ItemRotation:4b}] run data merge entity @s {ItemRotation:4b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione5,type=item_frame,nbt=!{ItemRotation:5b}] run data merge entity @s {ItemRotation:5b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione6,type=item_frame,nbt=!{ItemRotation:6b}] run data merge entity @s {ItemRotation:6b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_rotazione7,type=item_frame,nbt=!{ItemRotation:7b}] run data merge entity @s {ItemRotation:7b}

execute as @e[tag=dh.t_itemframe1,tag=dh.t_corniceConMestolo,type=item_frame] unless entity @s[nbt={Item:{Count:1b}}] run data merge entity @s {Invulnerable:1b}
execute as @e[tag=dh.t_itemframe1,tag=dh.t_corniceConMestolo,type=item_frame] if entity @s[nbt={Item:{Count:1b}}] run data merge entity @s {Invulnerable:0b}

# Grano
execute as @e[tag=dh.t_bloccoItem1,type=area_effect_cloud] at @s unless block ~ ~ ~ minecraft:wheat run setblock ~ ~ ~ minecraft:wheat[age=7]
execute as @e[tag=dh.t_bloccoItem1,type=area_effect_cloud] at @s unless block ~ ~-1 ~ minecraft:farmland run setblock ~ ~-1 ~ minecraft:farmland[moisture=7]

# Coniglio
execute as @e[tag=dh.t_coniglio1,type=rabbit] at @s facing entity @p[tag=dh.t_giocatori,distance=..5] eyes run tp @s ~ ~ ~ ~ ~

# Item Giocatore
execute as @a[tag=dh.t_giocatori,tag=!dh.t_noStivali] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_velocitaAttiva,type=armor_stand] if score @s dh.o_velocita matches 0 run replaceitem entity @s armor.feet minecraft:leather_boots{HideFlags:6,Unbreakable:1b,display:{Lore:['{"text":"Quando questi stivali sono tenuti","color":"red"}','{"text":"ai piedi, aumentano la velocità di","color":"red"}','{"text":"chi li indossa.","color":"red"}'],Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}}
execute as @a[tag=dh.t_giocatori,tag=!dh.t_noStivali] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_velocitaAttiva,type=armor_stand] if score @s dh.o_velocita matches 2.. run clear @s minecraft:leather_boots{display:{Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}} 1
execute as @a[tag=dh.t_giocatori] run attribute @s generic.armor base set -7

execute as @e[type=item,nbt={Item:{id:"minecraft:coal"}}] run data modify entity @s Item.tag.display.Name set value '{"text":"Carbone","color":"gray","italic":false}'
execute as @e[type=item,nbt={Item:{id:"minecraft:sand"}}] run data modify entity @s Item.tag.display.Name set value '{"text":"Sabbia","color":"gray","italic":false}'

execute if block 619 59 0 minecraft:furnace{Items:[{Slot:0b},{Slot:1b},{Slot:2b,id:"minecraft:glass"}]} run data modify block 619 59 0 Items[2].tag.display.Name set value '{"text":"Vetro","color":"gray","italic":false}'
execute unless block 619 59 0 minecraft:furnace{Items:[{Slot:0b}]} if block 619 59 0 minecraft:furnace{Items:[{Slot:1b},{Slot:2b,id:"minecraft:glass"}]} run data modify block 619 59 0 Items[1].tag.display.Name set value '{"text":"Vetro","color":"gray","italic":false}'
execute unless block 619 59 0 minecraft:furnace{Items:[{Slot:1b}]} if block 619 59 0 minecraft:furnace{Items:[{Slot:0b},{Slot:2b,id:"minecraft:glass"}]} run data modify block 619 59 0 Items[1].tag.display.Name set value '{"text":"Vetro","color":"gray","italic":false}'
execute unless block 619 59 0 minecraft:furnace{Items:[{Slot:0b},{Slot:1b}]} unless block 619 59 0 minecraft:furnace{Items:[{Slot:0b}]} unless block 619 59 0 minecraft:furnace{Items:[{Slot:1b}]} if block 619 59 0 minecraft:furnace{Items:[{Slot:2b,id:"minecraft:glass"}]} run data modify block 619 59 0 Items[0].tag.display.Name set value '{"text":"Vetro","color":"gray","italic":false}'

execute if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[0].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b},{Slot:1b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[1].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b}]} if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:1b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[0].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b},{Slot:1b},{Slot:2b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[2].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b}]} if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:1b},{Slot:2b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[1].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:1b}]} if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b},{Slot:2b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[1].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}
execute unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b},{Slot:1b}]} unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:0b}]} unless block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:1b}]} if block 613 60 -4 minecraft:brewing_stand{Items:[{Slot:2b,id:"minecraft:splash_potion",tag:{Potion:"minecraft:water"}}]} run data modify block 613 60 -4 Items[0].tag set value {HideFlags:32,Potion:"minecraft:water",display:{Name:'{"text":"Ampolla da Lancio","color":"gray","italic":false}'}}

kill @e[type=item,nbt={Item:{id:"minecraft:leather_boots",tag:{display:{Name:'{"text":"Stivali del Cercatore","color":"gray","italic":false}'}}}}]
kill @e[type=item,nbt={Item:{id:"minecraft:wheat"}},x=595,y=47,z=-50,dx=70,dy=35,dz=70]
kill @e[type=item,nbt={Item:{id:"minecraft:wheat_seeds"}},x=595,y=47,z=-50,dx=70,dy=35,dz=70]
kill @e[type=experience_orb]

clear @a[tag=dh.t_giocatori] minecraft:barrier
clear @a[tag=dh.t_giocatori] minecraft:sandstone
clear @a[tag=dh.t_giocatori] minecraft:glass_pane
clear @a[tag=dh.t_giocatori] minecraft:red_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:white_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:pink_stained_glass_pane

execute as @a[tag=dh.t_giocatori,nbt={SelectedItem:{id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}'}}}}] run replaceitem entity @s weapon.mainhand minecraft:rabbit_spawn_egg{display:{Name:'{"text":""}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.0 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:1b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.1 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:2b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.2 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:3b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.3 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.4 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:5b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.5 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:6b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.6 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:7b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.7 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:8b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.8 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[grass_block]}